# Projet "Forum"

Note importante : dans ce projet, pour simuler une base de
données, on utilise la classe `ForumFacade.` L'application crée un objet 
`ForumFacade.` qu'elle place en *bean application*. 
Ça n'est pas l'idée du siècle : un bean application en lecture/écriture
est très pénalisant en termes de performances. Cependant, ça nous évite l'utilisation d'une base de données.

Pour récupérer cet objet, nous fournissons la classe `ForumHelper` :

    ForumFacade f= ForumHelper.getForum(request);

Pour vous aider, le forum contient déjà deux messages.

Dans chacune des questions, on utilisera une séparation entre le contrôle (servlet) et la ou les vues (jsp). L'usage de la jstl est *fortement* conseillé, sauf si vous voulez vous compliquer la vie.

## Question 1
Écrire une servlet (et la jsp associée) pour récupérer et afficher un
message dont on connaît l'identifiant (passé en mode `GET` à la
servlet).

## Question 2
Écrire une servlet (et la jsp associée) pour récupérer et afficher la
*liste* des titres de messages.

## Question 3
Modifier le code de la question 2 pour que chaque titre de message
affiché soit cliquable, et renvoie vers la servlet déclarée dans la
question 1.

## Question 4

Écrire un formulaire (et la servlet associée) de création de message.


